Course Syllabus for C++ with OOP 34-IT-2045C: Computer Programming II Assignment 09 Spring 2021 In this assignment you will use your debugging skillz to fix my program. Fork and clone (clone first!)...

1 answer below »
I will submit pull request, and snippet of it. Just tell me what to say in it.


Course Syllabus for C++ with OOP 34-IT-2045C: Computer Programming II Assignment 09 Spring 2021 In this assignment you will use your debugging skillz to fix my program. Fork and clone (clone first!) the project at https://github.com/nicomp42/TwoLiterStack Study the program. Run the program and note that there is no Dr. Pepper in the stack. This is bad because Dr. Pepper tastes great and also removes stubborn grime from kitchen surfaces. Your job is to figure out why there is no Dr. Pepper in the stack and fix it. After fixing it, push your working solution back to your repo and submit a pull request to my repo. In the pull request thoroughly explain what you did so I can read about it before I decide to accpt your resuest and merge your changes. Submit a screen snip of the pull request. Don’t submit your project. UC Clermont College Bill Nicholson
Answered 2 days AfterApr 14, 2021

Answer To: Course Syllabus for C++ with OOP 34-IT-2045C: Computer Programming II Assignment 09 Spring 2021 In...

Vibhav answered on Apr 14 2021
148 Votes
twoliter/.git/config
[core]
    repositoryformatversion = 0
    filemode = false
    bare = false
    logallrefupdates = true
    symlinks = false
    ignorecase = true
[remote "origin"]
    url = https://github.com/nicomp42/TwoLiterStack
    fetch = +refs/heads/*:refs/remotes/origin/*
[gui]
    wmstate = zoomed
    geometry = 1109x563+588+167 216 255
twoliter/.git/description
Unnamed repository; edit this file 'description' to name the repository.
twoliter/.git/FETCH_HEAD
57baa6f383597176c67f294da4fb07bd30a63514        https://github.com/nicomp42/TwoLiterStack
twoliter/.git/HEAD
ref: refs/heads/master
twoliter/.git/hooks/applypatch-msg.sample
#!/bin/sh
#
# An example hook script to check the commit log message taken by
# applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit. The hook is
# allowed to edit the co
mmit message file.
#
# To enable this hook, rename this file to "applypatch-msg".
. git-sh-setup
commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
:
twoliter/.git/hooks/commit-msg.sample
#!/bin/sh
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".
# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
# This example catches duplicate Signed-off-by lines.
test "" = "$(grep '^Signed-off-by: ' "$1" |
     sort | uniq -c | sed -e '/^[     ]*1[     ]/d')" || {
    echo >&2 Duplicate Signed-off-by lines.
    exit 1
}
twoliter/.git/hooks/fsmonitor-watchman.sample
#!/usr/bin/perl
use strict;
use warnings;
use IPC::Open2;
# An example hook script to integrate Watchman
# (https://facebook.github.io/watchman/) with git to speed up detecting
# new and modified files.
#
# The hook is passed a version (currently 2) and last update token
# formatted as a string and outputs to stdout a new update token and
# all files that have been modified since the update token. Paths must
# be relative to the root of the working tree and separated by a single NUL.
#
# To enable this hook, rename this file to "query-watchman" and set
# 'git config core.fsmonitor .git/hooks/query-watchman'
#
my ($version, $last_update_token) = @ARGV;
# Uncomment for debugging
# print STDERR "$0 $version $last_update_token\n";
# Check the hook interface version
if ($version ne 2) {
    die "Unsupported query-fsmonitor hook version '$version'.\n" .
     "Falling back to scanning...\n";
}
my $git_work_tree = get_working_dir();
my $retry = 1;
my $json_pkg;
eval {
    require JSON::XS;
    $json_pkg = "JSON::XS";
    1;
} or do {
    require JSON::PP;
    $json_pkg = "JSON::PP";
};
launch_watchman();
sub launch_watchman {
    my $o = watchman_query();
    if (is_work_tree_watched($o)) {
        output_result($o->{clock}, @{$o->{files}});
    }
}
sub output_result {
    my ($clockid, @files) = @_;
    # Uncomment for debugging watchman output
    # open (my $fh, ">", ".git/watchman-output.out");
    # binmode $fh, ":utf8";
    # print $fh "$clockid\n@files\n";
    # close $fh;
    binmode STDOUT, ":utf8";
    print $clockid;
    print "\0";
    local $, = "\0";
    print @files;
}
sub watchman_clock {
    my $response = qx/watchman clock "$git_work_tree"/;
    die "Failed to get clock id on '$git_work_tree'.\n" .
        "Falling back to scanning...\n" if $? != 0;
    return $json_pkg->new->utf8->decode($response);
}
sub watchman_query {
    my $pid = open2(\*CHLD_OUT, \*CHLD_IN, 'watchman -j --no-pretty')
    or die "open2() failed: $!\n" .
    "Falling back to scanning...\n";
    # In the query expression below we're asking for names of files that
    # changed since $last_update_token but not from the .git folder.
    #
    # To accomplish this, we're using the "since" generator to use the
    # recency index to select candidate nodes and "fields" to limit the
    # output to file names only. Then we're using the "expression" term to
    # further constrain the results.
    if (substr($last_update_token, 0, 1) eq "c") {
        $last_update_token = "\"$last_update_token\"";
    }
    my $query = <<"    END";
        ["query", "$git_work_tree", {
            "since": $last_update_token,
            "fields": ["name"],
            "expression": ["not", ["dirname", ".git"]]
        }]
    END
    # Uncomment for debugging the watchman query
    # open (my $fh, ">", ".git/watchman-query.json");
    # print $fh $query;
    # close $fh;
    print CHLD_IN $query;
    close CHLD_IN;
    my $response = do {local $/; };
    # Uncomment for debugging the watch response
    # open ($fh, ">", ".git/watchman-response.json");
    # print $fh $response;
    # close $fh;
    die "Watchman: command returned no output.\n" .
    "Falling back to scanning...\n" if $response eq "";
    die "Watchman: command returned invalid output: $response\n" .
    "Falling back to scanning...\n" unless $response =~ /^\{/;
    return $json_pkg->new->utf8->decode($response);
}
sub is_work_tree_watched {
    my ($output) = @_;
    my $error = $output->{error};
    if ($retry > 0 and $error and $error =~ m/unable to resolve root .* directory (.*) is not watched/) {
        $retry--;
        my $response = qx/watchman watch "$git_work_tree"/;
        die "Failed to make watchman watch '$git_work_tree'.\n" .
         "Falling back to scanning...\n" if $? != 0;
        $output = $json_pkg->new->utf8->decode($response);
        $error = $output->{error};
        die "Watchman: $error.\n" .
        "Falling back to scanning...\n" if $error;
        # Uncomment for debugging watchman output
        # open (my $fh, ">", ".git/watchman-output.out");
        # close $fh;
        # Watchman will always return all files on the first query so
        # return the fast "everything is dirty" flag to git and do the
        # Watchman query just to get it over with now so we won't pay
        # the cost in git to look up each individual file.
        my $o = watchman_clock();
        $error = $output->{error};
        die "Watchman: $error.\n" .
        "Falling back to scanning...\n" if $error;
        output_result($o->{clock}, ("/"));
        $last_update_token = $o->{clock};
        eval { launch_watchman() };
        return 0;
    }
    die "Watchman: $error.\n" .
    "Falling back to scanning...\n" if $error;
    return 1;
}
sub get_working_dir {
    my $working_dir;
    if ($^O =~ 'msys' || $^O =~ 'cygwin') {
        $working_dir = Win32::GetCwd();
        $working_dir =~ tr/\\/\//;
    } else {
        require Cwd;
        $working_dir = Cwd::cwd();
    }
    return $working_dir;
}
twoliter/.git/hooks/post-update.sample
#!/bin/sh
#
# An example hook script to prepare a packed repository for use over
# dumb transports.
#
# To enable this hook, rename this file to "post-update".
exec git update-server-info
twoliter/.git/hooks/pre-applypatch.sample
#!/bin/sh
#
# An example hook script to verify what is about to be committed
# by applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-applypatch".
. git-sh-setup
precommit="$(git rev-parse --git-path hooks/pre-commit)"
test -x "$precommit" && exec "$precommit" ${1+"$@"}
:
twoliter/.git/hooks/pre-commit.sample
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
if git rev-parse --verify HEAD >/dev/null 2>&1
then
    against=HEAD
else
    # Initial commit: diff against an empty tree object
    against=$(git hash-object -t tree /dev/null)
fi
# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --type=bool hooks.allownonascii)
# Redirect output to stderr.
exec 1>&2
# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
    # Note that the use of brackets around a tr range is ok here, (it's
    # even required, for portability to Solaris 10's /usr/bin/tr), since
    # the square bracket bytes happen to fall in the designated range.
    test $(git diff --cached --name-only --diff-filter=A -z $against |
     LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
    cat <<\EOF
Error: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check...
SOLUTION.PDF

Answer To This Question Is Available To Download

Related Questions & Answers

More Questions »

Submit New Assignment

Copy and Paste Your Assignment Here